%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out]=constParamFeedbackControllerFlexShaft(Ts)
%Input:
%  Ts=sampling time [s]
%Output:
%  out = constant parameter

refVoltageLimMot1=18.0; %reference voltage limit motor 1 [V]
%  U1<=R1*Imax=3.0A*6.2 V/A
%  U1=reference voltage limit motor 1 [V]
%  R1=resistance motor 1 [V/A]
%  Imax=maximal continuous current power amplifier [A]

%PID Feedback Controller
%-----------------------
pid.refVoltageLimMot1=refVoltageLimMot1;
pid.halfSamplingTime=Ts/2;

%Loop Shaping Feedback Controller
%--------------------------------
loopShaping.refVoltageLimMot1=refVoltageLimMot1;

%State Feedback Controller
%-------------------------
state.samplingTime=Ts;
state.refVoltageLimMot1=refVoltageLimMot1;

%Output Structure
%----------------
out.pid=pid;
out.loopShaping=loopShaping;
out.state=state;