%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out]=constParamManipulatingStepRespFlexShaft(Ts,decRecData)
%Input:
%  Ts = sampling time [s]
%  decRecData = decimation recording data
%Output:
%  out = constant parameter

%Step Sequenze
%-------------
u1=[0.0; 8.0; 11.0; 8.0; 0.0;...
    -8.0; -11.0; -8.0; 0.0]; %reference voltage motor 1 [V]
Nu1=length(u1);
to=2.0; %first step time [s]
ts=30.0; %max settle time one step [s]
t=zeros(Nu1,1); %allocate memory to speed up for loop
for i=1:Nu1
    t(i,1)=to+(i-1)*ts; %time vector [s]
end
t=Ts.*round(t./Ts); 
%round elements of time vector to the nearest sampling interval

%Output Structure
%----------------
out.samplingTime=Ts;
out.decimationFactor=decRecData;
out.stepSequenze=[t u1];
out.nrOfSteps=Nu1;