%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out]=constParamOpenLoopDistStepRespFlexShaft(Ts,decRecData)
%Input:
%  Ts = sampling time [s]
%  decRecData = decimation recording data
%Output:
%  out = constant parameter

%Step Sequenze
%-------------
u2=2/3*[0.0; 0.9; 1.2; 0.9; 0.0;...
    -0.9; -1.2; -0.9; 0.0]; %reference current motor 2 [A] 
Nu2=length(u2);
to=2.0; %first step time [s]
ts=30.0; %max settle time one step [s]
t=zeros(Nu2,1); %allocate memory to speed up for loop
for i=1:Nu2
    t(i,1)=to+(i-1)*ts; %time vector [s]
end
t=Ts.*round(t./Ts); 
%round elements of time vector to the nearest sampling interval

%Output Structure
%----------------
out.samplingTime=Ts;
out.decimationFactor=decRecData;
out.stepSequenze=[t u2];
out.nrOfSteps=Nu2;