%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out]=constParamRefStepRespFlexShaft(Ts,decRecData)
%Input:
%  Ts = sampling time [s]
%  decRecData = decimation recording data
%Output:
%  out = constant parameter

%Step Sequenze
%-------------
r1=[0.0; 100.0; 150.0; 100.0; 0.0;...
    -100.0; -150.0; -100.0; 0.0]; %reference velocity motor 1 [rad/s]
Nr1=length(r1);
to=2.0; %first step time [s]
ts=10.0; %max settle time one step [s]
t=zeros(Nr1,1); %allocate memory to speed up for loop
for i=1:Nr1
    t(i,1)=to+(i-1)*ts; %time vector [s]
end
t=Ts.*round(t./Ts); 
%round elements of time vector to the nearest sampling interval

%Output Structure
%----------------
out.samplingTime=Ts;
out.decimationFactor=decRecData;
out.stepSequenze=[t r1];
out.nrOfSteps=Nr1;