%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out]=constParamVelEstimationFlexShaft(Ts)
%Input:
%  Ts = sampling time [s]
%Output:
%  out = constant parameter

figureNr=1; %base figure number
enGraphicOut=0; %enable graphical output: 0=disable, 1=enable

%Lowpass Filter
%--------------
ws=2*pi/Ts; %sampling frequency [rad/s]
wf=150; %cutoff frequency [rad/s]
N=4; %filter order
[numz,denz]=butter(N,2*wf/ws); %filter coefficients
if enGraphicOut
    w=linspace(1,1000,1000);
    figureNr=figureNr+1;
    figure(figureNr);
    dbode(numz,denz,Ts,w);
    grid on;
    title('lowpass filter velocity estimation');
end

%Output Structure
%----------------
out.invSamplingTime=1/Ts;
out.lowpass.numz=numz;
out.lowpass.denz=denz;