%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out] = constParamControlFlexShaft(Ts,decRecData)
%Input:
%  Ts = sampling time [s]
%  decRecData = decimation recording data
%Output:
%  out = constant parameter

%Output Structure
%----------------
cd('Subsystem_Control');
out.velEstimation=... 
    constParamVelEstimationFlexShaft(Ts); 
out.manipulatingFreqResp=...
    constParamManipulatingFreqRespFlexShaft(Ts);
out.distFreqResp=...
    constParamDistFreqRespFlexShaft(Ts);
out.manipulatingStepResp=...
    constParamManipulatingStepRespFlexShaft(Ts,decRecData);
out.openLoopDistStepResp=...
    constParamOpenLoopDistStepRespFlexShaft(Ts,decRecData);
feedbackController=...
    constParamFeedbackControllerFlexShaft(Ts);
out.refStepResp=...
    constParamRefStepRespFlexShaft(Ts,decRecData);
out.refStepResp.feedbackController=feedbackController;    
out.closedLoopDistStepResp=...
    constParamClosedLoopDistStepRespFlexShaft(Ts,decRecData);
out.closedLoopDistStepResp.feedbackController=feedbackController;
cd ..