%**************************************************************************
% Automatic Control Laboratory 
% Brunner Paul
% Date: 31. Januar 2012
% Revision: -
%**************************************************************************

function [out]=constParamInterfacePowerAmpMot12FlexShaft()
%Output:
%  out = constant parameter

%Power Amplifier
%---------------
supplyVoltage=24.0; %supply voltage [V]
maxCurrent=3.0; %max continuous current [A]
pwmPeriodMot12 = 50; %Tpwm [us] => 20kHz 15Hz<= fpwm <= 50kHz (uint16)
ditherDisableMot1=1; %true=1=disable, false=0=enable (boolean)
ditherDisableMot2=1; %true=1=disable, false=0=enable (boolean)
voltageResolution=supplyVoltage/32767; %voltage resolution 24.0V <=> 32767
currentResolution=maxCurrent/19660; %current resolution 3.0A <=> 19660

%Output Structure
%----------------
out.maxVoltageMot1=supplyVoltage;
out.maxCurrentMot2=maxCurrent;
out.pwmPeriodMot12=pwmPeriodMot12;
out.ditherDisableMot1=ditherDisableMot1;
out.ditherDisableMot2=ditherDisableMot2;
out.voltageResolution=voltageResolution; %only for simulation
out.currentResolution=currentResolution; %only for simulation
out.invVoltageResolution=1/voltageResolution;
out.invCurrentResolution=1/currentResolution;